"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var _default = function _default(Wrapped) {
  var Icon = function Icon(props) {
    var size = props.size,
        bg = props.bg,
        fg = props.fg,
        fg2 = props.fg2,
        circle = props.circle,
        extraProps = _objectWithoutProperties(props, ["size", "bg", "fg", "fg2", "circle"]);

    return _react.default.createElement("svg", _extends({
      xmlns: "http://www.w3.org/2000/svg",
      viewBox: "0 0 512 512",
      width: size,
      height: size
    }, extraProps), circle ? _react.default.createElement("circle", {
      fill: bg,
      cx: "256",
      cy: "256",
      r: "256"
    }) : '', _react.default.createElement(Wrapped, props));
  };

  Icon.propTypes = {
    size: _propTypes.default.number,
    bg: _propTypes.default.string,
    fg: _propTypes.default.string,
    fg2: _propTypes.default.string,
    circle: _propTypes.default.bool
  };
  Icon.defaultProps = {
    size: 512,
    bg: '#1e1e1e',
    fg: '#fff',
    fg2: '#efefef',
    circle: true
  };
  return Icon;
};

exports.default = _default;